Page MenuHomePhabricator

Show Arcanist project in Differential's list of revisions
Closed, WontfixPublic

Description

Currently one can see status, author and reviewers for a revision in the list. I believe having the Arcanist project a revision belongs to being shown as well would greatly improve the ability to look through a list of revisions and be able to pick one based on the project context info. Otherwise one always has to remember that a certain revision ID or title belong to a certain project.

Event Timeline

tolbrino added a subscriber: tolbrino.

Evan, what's your view on this?

This is already possible but really hard and not documented. I don't think it's useful enough to turn on by default. We could add config for it, but I'd rather fix the state of the custom config / field spec world, since it's causing us a lot of other problems. Unfortunately, this means it will probably be a while before we see much action here.

epriestley triaged this task as Low priority.May 23 2013, 6:27 PM
dennis added a subscriber: dennis.Dec 12 2014, 11:14 AM

T7604 removes the "Arcanist Project" field, but we could show the repository instead.

chad changed the visibility from "All Users" to "Public (No Login Required)".Jul 3 2015, 4:38 AM
tolbrino removed a subscriber: tolbrino.Aug 24 2015, 7:34 AM
epriestley closed this task as Wontfix.Nov 10 2015, 7:22 PM
epriestley claimed this task.

This was directly obsoleted by the removal of arcanist projects.

T4863 will allow customizations.